apiVersion: kubernetes.crossplane.io/v1alpha2
kind: Object
metadata:
  name: letsencrypt-dns-issuer
  namespace: crossplane-system
spec:
  providerConfigRef:
    name: kubernetes-provider
  forProvider:
    manifest:
      apiVersion: cert-manager.io/v1
      kind: ClusterIssuer
      metadata:
        name: letsencrypt-dns
      spec:
        acme:
          email: admin@nge6.com
          server: https://acme-v02.api.letsencrypt.org/directory
          privateKeySecretRef:
            name: letsencrypt-dns
          solvers:
          - dns01:
              webhook:
                groupName: acme.cert-manager.io
                solverName: gandi
                config:
                  patSecretRef:
                    name: gandi-credentials
                    key: api-token